Config (apache-cassandra API)
Date: 2012-05-04

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cassandra.config
Class Config

    java.lang.Object
      org.apache.cassandra.config.Config

    public class Config

extends java.lang.Object

Nested Class Summary
`static class` | `Config.CommitLogSync`
`static class` | `Config.DiskAccessMode`
`static class` | `Config.RequestSchedulerId`

Field Summary
`java.lang.String` | `authenticator`
`java.lang.String` | `authority`
`java.lang.Boolean` | `auto_bootstrap`
`java.lang.Boolean` | `auto_snapshot`
`java.lang.String` | `broadcast_address`
`java.lang.String` | `cluster_name`
`java.lang.Integer` | `column_index_size_in_kb`
`java.lang.String` | `commitlog_directory`
`Config.CommitLogSync` | `commitlog_sync`
`java.lang.Double` | `commitlog_sync_batch_window_in_ms`
`java.lang.Integer` | `commitlog_sync_period_in_ms`
`java.lang.Integer` | `commitlog_total_space_in_mb`
`boolean` | `compaction_preheat_key_cache`
`java.lang.Integer` | `compaction_throughput_mb_per_sec`
`java.lang.Integer` | `concurrent_compactors`
`java.lang.Integer` | `concurrent_reads`
`java.lang.Integer` | `concurrent_replicates`
`java.lang.Integer` | `concurrent_writes`
`java.lang.String[]` | `data_file_directories`
`Config.DiskAccessMode` | `disk_access_mode`
`java.lang.Boolean` | `dynamic_snitch`
`java.lang.Double` | `dynamic_snitch_badness_threshold`
`java.lang.Integer` | `dynamic_snitch_reset_interval_in_ms`
`java.lang.Integer` | `dynamic_snitch_update_interval_in_ms`
`EncryptionOptions` | `encryption_options`
`java.lang.String` | `endpoint_snitch`
`java.lang.Double` | `flush_largest_memtables_at`
`java.lang.Boolean` | `hinted_handoff_enabled`
`int` | `hinted_handoff_throttle_delay_in_ms`
`java.lang.Integer` | `in_memory_compaction_limit_in_mb`
`boolean` | `incremental_backups`
`java.lang.Integer` | `index_interval`
`java.lang.String` | `initial_token`
`java.lang.String` | `job_jar_file_location`
`java.lang.String` | `job_tracker_host`
`java.lang.String` | `listen_address`
`java.lang.Integer` | `max_hint_window_in_ms`
`int` | `memtable_flush_queue_size`
`java.lang.Integer` | `memtable_flush_writers`
`java.lang.Integer` | `memtable_total_space_in_mb`
`java.lang.Boolean` | `multithreaded_compaction`
`java.lang.String` | `partitioner`
`java.lang.Integer` | `phi_convict_threshold`
`double` | `reduce_cache_capacity_to`
`java.lang.Double` | `reduce_cache_sizes_at`
`java.lang.String` | `request_scheduler`
`Config.RequestSchedulerId` | `request_scheduler_id`
`RequestSchedulerOptions` | `request_scheduler_options`
`java.lang.String` | `rpc_address`
`java.lang.Boolean` | `rpc_keepalive`
`java.lang.Integer` | `rpc_max_threads`
`java.lang.Integer` | `rpc_min_threads`
`java.lang.Integer` | `rpc_port`
`java.lang.Integer` | `rpc_recv_buff_size_in_bytes`
`java.lang.Integer` | `rpc_send_buff_size_in_bytes`
`java.lang.String` | `rpc_server_type`
`java.lang.Long` | `rpc_timeout_in_ms`
`java.lang.String` | `saved_caches_directory`
`SeedProviderDef` | `seed_provider`
`java.lang.Integer` | `sliced_buffer_size_in_kb`
`java.lang.Boolean` | `snapshot_before_compaction`
`java.lang.Integer` | `ssl_storage_port`
`java.lang.Integer` | `storage_port`
`java.lang.Integer` | `stream_throughput_outbound_megabits_per_sec`
`java.lang.Integer` | `streaming_socket_timeout_in_ms`
`java.lang.Integer` | `thrift_framed_transport_size_in_mb`
`java.lang.Integer` | `thrift_max_message_length_in_mb`

Constructor Summary
`Config()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### cluster_name

    public java.lang.String cluster_name

### authenticator

    public java.lang.String authenticator

### authority

    public java.lang.String authority

### partitioner

    public java.lang.String partitioner

### auto_bootstrap

    public java.lang.Boolean auto_bootstrap

### hinted_handoff_enabled

    public java.lang.Boolean hinted_handoff_enabled

### max_hint_window_in_ms

    public java.lang.Integer max_hint_window_in_ms

### seed_provider

    public SeedProviderDef seed_provider

### disk_access_mode

    public Config.DiskAccessMode disk_access_mode

### job_tracker_host

    public java.lang.String job_tracker_host

### job_jar_file_location

    public java.lang.String job_jar_file_location

### initial_token

    public java.lang.String initial_token

### rpc_timeout_in_ms

    public java.lang.Long rpc_timeout_in_ms

### streaming_socket_timeout_in_ms

    public java.lang.Integer streaming_socket_timeout_in_ms

### phi_convict_threshold

    public java.lang.Integer phi_convict_threshold

### concurrent_reads

    public java.lang.Integer concurrent_reads

### concurrent_writes

    public java.lang.Integer concurrent_writes

### concurrent_replicates

    public java.lang.Integer concurrent_replicates

### memtable_flush_writers

    public java.lang.Integer memtable_flush_writers

### memtable_total_space_in_mb

    public java.lang.Integer memtable_total_space_in_mb

### sliced_buffer_size_in_kb

    public java.lang.Integer sliced_buffer_size_in_kb

### storage_port

    public java.lang.Integer storage_port

### ssl_storage_port

    public java.lang.Integer ssl_storage_port

### listen_address

    public java.lang.String listen_address

### broadcast_address

    public java.lang.String broadcast_address

### rpc_address

    public java.lang.String rpc_address

### rpc_port

    public java.lang.Integer rpc_port

### rpc_server_type

    public java.lang.String rpc_server_type

### rpc_keepalive

    public java.lang.Boolean rpc_keepalive

### rpc_min_threads

    public java.lang.Integer rpc_min_threads

### rpc_max_threads

    public java.lang.Integer rpc_max_threads

### rpc_send_buff_size_in_bytes

    public java.lang.Integer rpc_send_buff_size_in_bytes

### rpc_recv_buff_size_in_bytes

    public java.lang.Integer rpc_recv_buff_size_in_bytes

### thrift_max_message_length_in_mb

    public java.lang.Integer thrift_max_message_length_in_mb

### thrift_framed_transport_size_in_mb

    public java.lang.Integer thrift_framed_transport_size_in_mb

### snapshot_before_compaction

    public java.lang.Boolean snapshot_before_compaction

### auto_snapshot

    public java.lang.Boolean auto_snapshot

### column_index_size_in_kb

    public java.lang.Integer column_index_size_in_kb

### in_memory_compaction_limit_in_mb

    public java.lang.Integer in_memory_compaction_limit_in_mb

### concurrent_compactors

    public java.lang.Integer concurrent_compactors

### compaction_throughput_mb_per_sec

    public java.lang.Integer compaction_throughput_mb_per_sec

### multithreaded_compaction

    public java.lang.Boolean multithreaded_compaction

### stream_throughput_outbound_megabits_per_sec

    public java.lang.Integer stream_throughput_outbound_megabits_per_sec

### data_file_directories

    public java.lang.String[] data_file_directories

### saved_caches_directory

    public java.lang.String saved_caches_directory

### commitlog_directory

    public java.lang.String commitlog_directory

### commitlog_total_space_in_mb

    public java.lang.Integer commitlog_total_space_in_mb

### commitlog_sync

    public Config.CommitLogSync commitlog_sync

### commitlog_sync_batch_window_in_ms

    public java.lang.Double commitlog_sync_batch_window_in_ms

### commitlog_sync_period_in_ms

    public java.lang.Integer commitlog_sync_period_in_ms

### endpoint_snitch

    public java.lang.String endpoint_snitch

### dynamic_snitch

    public java.lang.Boolean dynamic_snitch

### dynamic_snitch_update_interval_in_ms

    public java.lang.Integer dynamic_snitch_update_interval_in_ms

### dynamic_snitch_reset_interval_in_ms

    public java.lang.Integer dynamic_snitch_reset_interval_in_ms

### dynamic_snitch_badness_threshold

    public java.lang.Double dynamic_snitch_badness_threshold

### request_scheduler

    public java.lang.String request_scheduler

### request_scheduler_id

    public Config.RequestSchedulerId request_scheduler_id

### request_scheduler_options

    public RequestSchedulerOptions request_scheduler_options

### encryption_options

    public EncryptionOptions encryption_options

### index_interval

    public java.lang.Integer index_interval

### flush_largest_memtables_at

    public java.lang.Double flush_largest_memtables_at

### reduce_cache_sizes_at

    public java.lang.Double reduce_cache_sizes_at

### reduce_cache_capacity_to

    public double reduce_cache_capacity_to

### hinted_handoff_throttle_delay_in_ms

    public int hinted_handoff_throttle_delay_in_ms

### compaction_preheat_key_cache

    public boolean compaction_preheat_key_cache

### incremental_backups

    public boolean incremental_backups

### memtable_flush_queue_size

    public int memtable_flush_queue_size

Constructor Detail

### Config

    public Config()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012 The Apache Software Foundation